<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!-- <link rel="stylesheet" href="style.css"> -->
    <style>
        * {
            margin: 0;
            padding: 0;
        }

        .colored {
            height: 100vh;
            width: 100%;
            transition: all .5s ease-in-out;
        }
    </style>
    <title>Document</title>
</head>

<body>
    <div class="colored"></div>
</body>

<!-- <script type="text/javascript" src="lesson_2.js"></script> -->
<script>
    const elem = document.querySelector(".colored");
    let colorArr = [];

    setInterval(() => {
        for (let i = 0; i < 5; i++) {

            let tone = Math.round(Math.random() * 360);
            let saturation = Math.round(Math.random() * 70) + 30;
            let brightness = Math.round(Math.random() * 70) + 30;

            colorArr.push(`hsla(${tone}, ${saturation}%, ${brightness}%, 1)`);
        }

        const positionArr = ["top left", "top right", "bottom right", "bottom left"]
        let str = 'radial-gradient(at position, color 0px, transparent 50%)';
        let gradient = '';

        for (let i = 1; i < colorArr.length; i++) {
            gradient += str.replace('position', `${positionArr[i - 1]}`).replace('color', `${colorArr[i]}`) + ",";
            if (i === colorArr.length - 1) {
                gradient += str.replace('position', `${positionArr[i - 1]}`).replace('color', `${colorArr[i]}`);
            }
        }

        elem.style.backgroundColor = colorArr[0];
        elem.style.background = gradient;
        colorArr = [];
    }, 500)

</script>

</html>